Transaction
2 endpoints
GET
/users/{user}/wallets/{wallet}/transactions
List all transactions
List all existing transactions for a specific user and wallet. Admin audience is required to list all transactions for all users with userId=* and walletId=*.
Parameters
user required
id parameter must be included in the URI
wallet required
id parameter must be included in the URI
txLog
Identifier of operation
symbol
Transaction status
assetId
Asset Id type
movementSubtype
Transaction movement subtype
movement
Transaction movement type
status
Transaction status
page
Page number of the records list
limit
Max number of records by page. limit=0 to return all records
sort
Sort the response PARAM or -PARAM
createdAfter
Created after date
createdBefore
Created before date
Responses
200
400
Bad request
401
Unauthorized
404
Not found
GET https://api.qa.onyze.pro/v1/users/{user}/wallets/{wallet}/transactions
Response 200
[
{
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"status": "approved",
"amount": "10.000001",
"sender": {
"walletId": "string",
"address": "1KUEUVh45uK6m83L4LTNF9D4Txi7KSEBxx",
"walletBalance": "10.000001",
"userId": "gbU79uBYB"
},
"receiver": {},
"type": "real",
"movement": "income",
"rates": {
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"asset": {
"id": "...",
"createdAt": "...",
"updatedAt": "...",
"name": "...",
"symbol": "..."
},
"fiatPrice": 10
},
"asset": {},
"txHash": "string"
}
]
GET
/users/{user}/wallets/{wallet}/transactions/{transaction}
Find a transaction by id
Find an existing transaction by its id.
Parameters
user required
id parameter must be included in the URI
wallet required
id parameter must be included in the URI
transaction required
id parameter must be included in the URI
Responses
200
401
Unauthorized
404
Not found
GET https://api.qa.onyze.pro/v1/users/{user}/wallets/{wallet}/transactions/{transaction}
Response 200
{
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"status": "approved",
"amount": "10.000001",
"sender": {
"walletId": "string",
"address": "1KUEUVh45uK6m83L4LTNF9D4Txi7KSEBxx",
"walletBalance": "10.000001",
"userId": "gbU79uBYB"
},
"receiver": {},
"type": "real",
"movement": "income",
"rates": {
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"asset": {
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"name": "Bitcoin",
"symbol": "BTC"
},
"fiatPrice": 10
},
"asset": {},
"txHash": "string"
}